package com.tzld.piaoquan.content.understanding.common.enums;

/**
 * 异常
 *
 * @author supeng
 * @date 2020/08/31
 */
public enum AigcServerExceptionEnum {

    SYSTEM_ERROR(-111, "系统错误"),
    DATA_ERROR(-222, "数据异常,请联系管理员"),
    USER_IS_UNVALID(2, "用户操作鉴权不通过"),
    PARAM_ERROR(3, "参数不对"),
    FLOW_CONTROL(-777, "接口被限流"),
    TOKEN_NOTEXIST(-994, "访问凭证不存在"),

	;

    private int code;
    private String msg;

    public int getCode() {
        return code;
    }


    public String getMsg() {
        return msg;
    }

    AigcServerExceptionEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
