package com.tzld.piaoquan.content.understanding.common.enums;

/**
 * 异常
 *
 * @author supeng
 * @date 2020/08/31
 */
public enum ExceptionEnum {

    SUCCESS(0, "成功"),
    SYSTEM_ERROR(1, "系统错误"),
    PARAMS_INVALID(2, "参数错误"),
    DATA_NOT_EXIST(3, "数据不存在"),
    DATA_ERROR(4, "数据错误"),
    EXIST_RELATED_DATA(5, "存在关联数据"),
    DATA_EXIST(6, "数据已存在"),
    ILLEGAL_OPERATION (7, "非法操作"),
    CONFIG_ERROR (8, "配置异常"),
    ;

    private int code;
    private String msg;

    public int getCode() {
        return code;
    }


    public String getMsg() {
        return msg;
    }

    ExceptionEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
