package com.tzld.piaoquan.content.understanding.common.enums;

/**
 * @author supeng
 */

public enum RecommendStatusEnum {

	NOMAL(0,  "不可搜"),
	RECOMMEND(1, "普通推荐"),
	CUSTOMRECOMMEND(10, "编辑推荐"),
	WAITRECOMMEND(-6,"待推荐"),
	SEARCHECOMMEND(-7, "可搜索"),
    REALTIMERECOMMEND(20,"实时推荐"),
	UNCLASSIFIED(-1, "未分类/未选择");

	RecommendStatusEnum(Integer value, String desc) {
		this.value = value;
		this.desc = desc;
	}

	private Integer value;
	private String desc;

	public Integer getValue() {
		return value;
	}

	public String getDesc() {
		return desc;
	}
}
