package com.tzld.piaoquan.content.understanding.common.enums;

import lombok.Getter;

/**
 * 任务状态
 * @author supeng
 */
@Getter
public enum TaskStatusEnum {

    SUBMIT(0, "已提交"),
    PROCESS(1, "处理中"),
    SUCCESS(2, "成功"),
    FAILURE(3, "失败");

    private final Integer value;
    private final String desc;

    TaskStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }
}
