package com.tzld.piaoquan.content.understanding.model.dto;

import lombok.Data;

import java.util.Map;

/**
 * 内容信息
 *
 * @author supeng
 */
@Data
public class ContentDTO {
    /**
     * 视频ID
     * 必需
     */
    private Long videoId;
    /**
     * 输入内容
     * 必需
     */
    private String content;
    /**
     * 流程ID
     * 必需
     */
    private Long pipelineId;
    /**
     * 输入内容类型
     * 非必需
     */
    private Integer contentType;

    private Map<String,Object> extMap;
}
