package com.tzld.piaoquan.content.understanding.model.dto;

import com.tzld.piaoquan.content.understanding.model.po.CuPipelineStep;
import lombok.Data;

import java.util.List;

/**
 * pipeline 树结构
 *
 * @author supeng
 */
@Data
public class TreeNode {
    /**
     * 要执行的步骤
     */
    private CuPipelineStep step;
    /**
     * @see com.tzld.piaoquan.content.understanding.common.enums.ContentTypeEnum
     */
    private Integer type;
    /**
     * 上一步执行结果
     */
    private String input;
    /**
     * 子节点
     */
    private List<TreeNode> children;
}
