package com.tzld.piaoquan.content.understanding.model.param;

import lombok.Data;

/**
 *
 * @author supeng
 */
@Data
public class DeepSeekParam {
    /**
     * prompt
     */
    private String prompt;
    /**
     * api key
     */
    private String apiKey;
    /**
     * 模型
     */
    private String model;
    /**
     * 温度
     */
    private Double temperature = 1.0;
    /**
     * format类型
     * @see com.tzld.piaoquan.content.understanding.common.enums.ResponseFormatTypeEnum
     */
    private Integer responseFormat;

}
