package com.tzld.piaoquan.content.understanding.model.param;

import com.tzld.piaoquan.content.understanding.common.base.Constant;
import lombok.Data;

@Data
public class GeminiParam {
    /**
     * 类型
     * @see com.tzld.piaoquan.content.understanding.common.enums.ContentTypeEnum
     */
    private Integer type;
    /**
     * 媒体资源url
     * 视频 or 图片
     */
    private String mediaUrl;
    /**
     * prompt
     */
    private String prompt;
    /**
     * api key
     */
    private String apiKey;
    /**
     * 模型
     */
    private String model = Constant.GEMINI_DEFAULT_MODEL;
    /**
     * 温度
     */
    private Double temperature = 1.0;

}
