package com.tzld.piaoquan.content.understanding.service;

import com.aliyun.oss.model.ObjectMetadata;
import com.tzld.commons.aliyun.oss.AliyunOssManager;
import com.tzld.piaoquan.content.understanding.BaseTest;
import com.tzld.piaoquan.content.understanding.service.impl.ContentServiceImpl;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

public class ContentServiceTest extends BaseTest {

    @Autowired
    private AliyunOssManager aliyunOssManager;

    @Test
    public void ossTest() {
        String origin = "longvideo/crawler_local/video/prod/20240523/adab3bae11b0b168d20ddf0e2a9679a81721808114115297282";
        String transcode = "longvideo/transcode/crawler_local/video/prod/20231108/adab3bae11b0b168d20ddf0e2a9679a81721808114115297282.mp4";
        String multi = "output/longvideo/multitranscode/crawler_local/video/prod/20240523/adab3bae11b0b168d20ddf0e2a9679a8172180811411529728220240524131000797723823-1LD.mp4";
//        ObjectMetadata objectMetadata1 = aliyunOssManager.getObjectMetadata(ContentServiceImpl.TRANSCODE_BUCKET, origin);
//        try {
//            objectMetadata1.isRestoreCompleted();
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
//        没有获取到会抛NPE
//        System.out.println(objectMetadata1.isRestoreCompleted());
        ObjectMetadata objectMetadata2 = aliyunOssManager.getObjectMetadata(ContentServiceImpl.TRANSCODE_BUCKET, transcode);
        try {
            System.out.println(objectMetadata2.isRestoreCompleted());
        } catch (Exception e) {
            e.printStackTrace();
        }

        aliyunOssManager.restoreObject(ContentServiceImpl.TRANSCODE_BUCKET, transcode, 1);

        objectMetadata2 = aliyunOssManager.getObjectMetadata(ContentServiceImpl.TRANSCODE_BUCKET, transcode);
        System.out.println(objectMetadata2.isRestoreCompleted());


//        ObjectMetadata objectMetadata3 = aliyunOssManager.getObjectMetadata("art-visionular-out", multi);
//        System.out.println(objectMetadata3.isRestoreCompleted());


    }
}
