package com.tzld.piaoquan.content.understanding.common.base;

import com.tzld.piaoquan.content.understanding.model.dto.BaseInfoDTO;

/**
 * 请求参数
 *
 * @author supeng
 */
public class CommonRequest<T> {
    /**
     * 基础信息
     */
    BaseInfoDTO baseInfo;
    /**
     * 请求参数
     */
    T params;

    public BaseInfoDTO getBaseInfo() {
        return baseInfo;
    }

    public void setBaseInfo(BaseInfoDTO baseInfo) {
        this.baseInfo = baseInfo;
    }

    public T getParams() {
        return params;
    }

    public void setParams(T params) {
        this.params = params;
    }

    @Override
    public String toString() {
        return "CommonRequest{" + "baseInfo=" + baseInfo + ", params=" + params + '}';
    }
}
